/*
 * 版权所有(C) 2013 www.baidu.com 。保留所有权利。
 */
package com.baidu.baidulife.common;

/**
 * 执行环境默认值。此文件是为了日后使用每日自动构建脚本，提供给脚本以不同的 Java 文件的方式来编译不同的版本。
 * 实际的文件需要存放在项目源代码以外的地方，由自动构建脚本覆盖本文件。
 * 
 * @author 于华
 * @since 2.1.0
 */
public final class EnvironmentDefault
{
    /** 环境类型。 */
    static final EnvironmentType ENV_TYPE  = EnvironmentType.RD;
    
    /** 是否输出日志。 */
    static final boolean         PRINT_LOG = false;
    
    /** 基础URL。 */
//    static final String BASE_URL = "http://dbl-map-test01.vm.baidu.com:8016";//RD旧环境
    static final String BASE_URL = "http://cq01-rdqa-pool005.cq01.baidu.com:8888";//RD融合环境
    
//    static final String BASE_URL = "http://cq01-testing-sns01.vm.baidu.com:8092";//QA旧环境
//    static final String BASE_URL = "http://db-testing-tuan02.db01.baidu.com:8080";//QA融合环境

//    static final String BASE_URL = "http://promo.lbc.baidu.com";//正式线上环境。
//    static final String BASE_URL = "http://test.tuan.baidu.com";//预上线环境
//    static final String BASE_URL = "http://yf-tuangou-new-web00.yf01.baidu.com:8000";//整合线上单台
//    static final String BASE_URL = "http://tc-pro-cm00.vm.baidu.com:8016";//线上单台

//    static final String BASE_URL = "http://cq01-rdqa-pool017.cq01.baidu.com:8081";

    /** 升级检测地址。 */
    static final String UPDATE_URL = "http://10.40.71.98:8000/dl/public/s/UpdateInfo.php";//QA 环境升级地址。
//    static final String UPDATE_URL = "http://dl.imap.baidu.com:80/s/UpdateInfo.php";//线上升级地址。

    /** 一键注册 URL。 */
    static final String ONEKEY_REGISTER_URL = "https://passport.qatest.baidu.com/v2/sapi/smsgetlogin";//QA
//    static final String ONEKEY_REGISTER_URL = "https://passport.baidu.com/v2/sapi/smsgetlogin";//ONLINE
    
    
    /** 应用程序推送消息 KEY。 */
    static final String PUSH_KEY = "VHqlCQSp3HYoaaX6u3sPLOT3";//RD&QA
//    static final String PUSH_KEY = "DBIBGA4oXksPKgTwpo1ZtmpN";//ONLINE
    
    /** 退款地址。 */
//    static final String REFUND_URL = "http://cq01-hao123-rdtest11q403.vm.baidu.com:8989";
    static final String REFUND_URL = "http://mtuan.baidu.com/narefund?";

    /** 抽奖详情地址。 */
    static final String LOTTERY_URL = "http://t.baidu.com";
    
    /**
     * 防止被实例化的构造器。
     * 
     * @since 2.0.1
     */
    private EnvironmentDefault()
    {
        
    }
}
